if not g_game.isOnline() then
    return
end

local items = {}
local containers = g_game.getContainers()

for _, container in pairs(containers) do
  if container and container:getItemsCount() > 0 then
    for _, item in pairs(container:getItems()) do
      if item and item:getCount() < 100 and item:isStackable() then
        local id = item:getId()
        if not items[id] then
          items[id] = {}
        end
        table.insert(items[id], item)
      end
    end
  end
end

for _, stack in pairs(items) do
  if #stack > 1 then
    for i = 2, #stack do
      g_game.moveItem(stack[i], stack[1]:getPosition(), stack[i]:getCount())
      sleep(250)
    end
  end
end

auto(250)