auto(100)
connect("g_game", "onTextMessage", onTextMessage)
local player = g_game.getLocalPlayer()

local gemRemoverID = 21804
local itemToRollID = 23995
local gemID = 677
local statToFind = {
    name = "attack spell cooldown",
    minAmount = 6
}

function onTextMessage(mode, message)
    if string.find(message, "been infused", 1, true) then
        local values = {}
        for str in message:gmatch("[%d+]+") do
            if not string.find(str, "+", 1, true) then
                table.insert(values, str)
            end
        end
        if #values > 2 then
            local first = string.format("%i.%i", values[1], values[2])
            local second = string.format("%i.%i", values[3], values[4])
            print(first)
            print(second)
            values = {first, second}
        elseif #values > 1 then
            local first = string.format("%i.%i", values[1], values[2])
            print(first)
            values = {first}
        end
        for _, value in ipairs(values) do
            if tonumber(value) >= statToFind.minAmount then
                playSound("alarm.wav")
                return
            else
                sleep(1000)
                remove()
                return
            end
        end
    elseif string.find(message, "successfully extracted", 1, true) then
        roll()
        sleep(2000)
        g_game.test("modules.game_modaldialog.modalDialog.onEnter()")
        return
    end
end

function remove()
    local item = player:getItemsById(itemToRollID)
    if #item == 1 then
        item = item[1]
    else
        return
    end
    g_game.useInventoryItemOnPosition(gemRemoverID, item:getPosition())
end

function roll()
    local item = player:getItemsById(itemToRollID)
    if #item == 1 then
        item = item[1]
    else
        return
    end
    g_game.useInventoryItemOnPosition(gemID, item:getPosition())
end