auto(100)
connect("g_game", "onTextMessage", onTextMessage)
local player = g_game.getLocalPlayer()

local shiningOilID = 24747
local itemToRollID = 24657
local statToFind = {
    name = "Arcane",
    minAmount = 2
}

function onTextMessage(mode, message)
    if string.find(message, "with new stats", 1, true) then
        local split = message:split(", ")
        local attrCount = 0
        if #split > 0 then
            for _, attr in ipairs(split) do
                if string.find(attr, statToFind.name, 1, true) then
                    attrCount = attrCount + 1
                end
            end
            if attrCount >= statToFind.minAmount then
                setOption("Global/BotPaused", "true")
                playSound("alarm.wav")
            else
                sleep(2000)
                roll()
            end
        end
    end
end

function roll()
    local item = player:getItemsById(itemToRollID)
    if #item == 1 then
        item = item[1]
    else
        return
    end
    local pos = item:getPosition()
    --print(string.format("%i, %i, %i", pos.x, pos.y, pos.z))
    g_game.useInventoryItemOnPosition(shiningOilID, item:getPosition())
end