auto(50)
local player = g_game.getLocalPlayer()
if not player then return end

local searchIn = {'dead', 'remains'}

local lootTable = {
    {id = 3079, location = 'backpack', container = nil},
    {id = 2345, location = 'backpack', container = nil}
}

local containers = g_game.getContainers()
local function findContainer(name)
    for _, container in ipairs(containers) do
        if container:getName() == name then
            return container
        end
    end
end

for _, loot in ipairs(lootTable) do
    loot.container = findContainer(loot.location)
end

for _, container in ipairs(containers) do
    local items = container:getItems()
    if table.find(searchIn, container:getName():explode(' ')[1]) then
        for __, item in ipairs(items) do
            for ___, loot in ipairs(lootTable) do
                if item:getId() == loot.id then
                    g_game.moveItem(item, loot.container:getSlotPosition(0), item:getCount())
                    sleep(100)
                end
            end
        end
    end
end